Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 177828 - Review Request: python-libtidy - Python bindings for libtidy
Summary: Review Request: python-libtidy - Python bindings for libtidy
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: José Matos
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-01-15 01:23 UTC by Konstantin Ryabitsev
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-29 23:56:06 UTC


Attachments (Terms of Use)

Description Konstantin Ryabitsev 2006-01-15 01:23:02 UTC
Spec Name or Url: http://open.mcgill.ca/~icon/fe/python-libtidy.spec
SRPM Name or Url: http://open.mcgill.ca/~icon/fe/python-libtidy-0.2-1.src.rpm
Description:
A Python wrapper (bindings) for libtidy.

(Requires python-ctypes, currently under review as well).

Comment 1 Roozbeh Pournader 2006-01-15 16:39:57 UTC
I can't confirm that the upstream source is the same as the included source, as
the URL gives me a 410 Gone error. Would you please see there is an alternative
URL available?

Comment 2 Konstantin Ryabitsev 2006-01-15 16:42:07 UTC
http://download.berlios.de/utidylib/uTidylib-0.2.zip doesn't work for you? I
just tried it.

Comment 3 Roozbeh Pournader 2006-01-15 17:12:15 UTC
(In reply to comment #2)
> http://download.berlios.de/utidylib/uTidylib-0.2.zip doesn't work for you? I
> just tried it.

For whatever reason I can't get it from any machine in Iran, but I could just
get it from a machine in Germany! Formal review coming.

Comment 4 Roozbeh Pournader 2006-01-15 18:17:16 UTC
MUST items that pass:
- rpmlint output:
   E: python-libtidy explicit-lib-dependency libtidy
  I'm assuming that's ignorable because it wraps the library using
python-ctypes. Does it?
- license open-source (MIT)
- License field matches license
- license included both in upstream and in package as %doc
- spec file in American English
- spec file legible
- spec file matches upstream
- compiles and builds on FC4-i386
- noarch package so fine on every architecture
- no BuildRequires in exceptions
- no locales
- no shared libs
- not relocatable
- owns its dirs
- no duplicate files
- file persmissions OK
- has %clean section
- macro use consistent
- package includes code
- no large docs
- removal of docs doesn't affect functionality
- no need for -devel
- no GUI application
- doesn't own files or dirs owned by others

SHOULD items that pass:
- builds in mock
- should compile and build on all arches, since it's noarch and builds on i386
- functions as described: installed the package, the module works as documented
on the upstream URL
- no subpackages

Comments:
- package name should better be python-tidy, as that is the name of the python
module it provides.
- Remove the BuildRequires for python-devel: it's not necessary
- Expand the %description, if possible
- Add a BuildRequires of python >= 2.3 (as mentioned in README.txt)


Comment 5 Konstantin Ryabitsev 2006-01-15 21:18:25 UTC
1. Yes, you have a point -- should be python-tidy
2. Hmm... I could have sworn it required python-devel. At least
fedora-newrpmspec always includes python-devel into the BuildRequires for python
packages. Ah, well -- it seems to still build and work fine, so I removed it.
3. BuildRequires python >= 2.3 is really not necessary, since we're building for
FC4 and up, and that dependency will always be satisfied. Final packages already
depend on python-abi being the same version as build environment.
4. Yeah, libtidy is unversioned, and I'm actually not sure how to best deal with
it. Ultimately, ctypes still depends on the underlying API remaining the same,
and if the bindings didn't use python-ctypes, RPM would have hard-coded it to
depend on libtidy-0.99.so.0. On the other hand, I don't want to specify it in
the SRPM, since that would be just ugly. I'm going to ask this on the -extras list.

Comment 6 Roozbeh Pournader 2006-06-18 15:02:19 UTC
Konstantin, could you post a new version?

Comment 8 Roozbeh Pournader 2006-11-09 17:12:44 UTC
I'm so sorry, I guess I was too busy to take care of this, and it will remain so
for a while. De-assigning from myself.

Comment 9 José Matos 2006-11-10 16:59:56 UTC
Konstantin are you still interested in submitting this package?

If the answer is yes I will proceed with the review. :-)

Comment 10 Peter Gordon 2007-01-21 00:12:50 UTC
It has been more than two months with no comments or updates on this bug. 

Konstantin: Are you still interested in submitting this package? Please let us
know. One more week of silence on the bug and we'll have to mark it as a dead
review.

Thanks.

Comment 11 Konstantin Ryabitsev 2007-01-29 23:56:06 UTC
Well, the project hasn't been updated since 2004, so I'm going to pronounce it
dead. Thanks to all involved!


Note You need to log in before you can comment on or make changes to this bug.